%define date 20090126

Name:           sugar-finance
Version:        0
Release:        0.2.%{date}%{?dist}
Summary:        Financial planning for Sugar

Group:          Sugar/Activities
License:        GPLv3+
URL:            http://wiki.laptop.org/go/Finance
Source0:        Finance-%{version}.%{date}.tar.bz2
Source1:        %{name}-checkout.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{_id_u} -n)
BuildArch:      noarch

BuildRequires:  python
BuildRequires:  sugar-toolkit

Requires:       sugar


%description
Finance is a simple financial planning activity. It can be integrated 
into classroom assignments, or else used to track finances for a school
club. It might also be useful for students who wish to help their parents
with home finances.

The register view allows students to enter income and expenses, assign
categories, and review past transactions. The chart view shows students
a visual breakdown of their expenses by category. The budget view allows
users to assign a monthly budget to each category, and to see how each
month's expenses compare to the budget.

%prep
%setup -q -n Finance-%{version}.%{date}
chmod -x {icons/help.svg,finance.py}


%build
python ./setup.py build


%install
rm -rf  %{buildroot}
python ./setup.py install --prefix=%{buildroot}/%{_prefix}


%clean
rm -rf  %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING NEWS TODO
%{sugaractivitydir}/Finance.activity/


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.20090126
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 26 2009 Fabian Affolter <fabian@bernewireless.net> - 0-0.1.20090126
- Initial package for Fedora
